require 'fantasydata/base'

module Fantasydata
  class TeamSeasonStat < Fantasydata::Base
    attr_reader :season_type, :season, :team, :score, :opponent_score, :total_score, 
                :temperature, :humidity, :wind_speed, :over_under, :point_spread, :score_quarter1, 
                :score_quarter2, :score_quarter3, :score_quarter4, :score_overtime, 
                :time_of_possession, :first_downs, :first_downs_by_rushing, :first_downs_by_passing, 
                :first_downs_by_penalty, :offensive_plays, :offensive_yards, :offensive_yards_per_play, 
                :touchdowns, :rushing_attempts, :rushing_yards, :rushing_yards_per_attempt, 
                :rushing_touchdowns, :passing_attempts, :passing_completions, :passing_yards, 
                :passing_touchdowns, :passing_interceptions, :passing_yards_per_attempt, 
                :passing_yards_per_completion, :completion_percentage, :passer_rating, 
                :third_down_attempts, :third_down_conversions, :third_down_percentage, 
                :fourth_down_attempts, :fourth_down_conversions, :fourth_down_percentage, 
                :red_zone_attempts, :red_zone_conversions, :goal_to_go_attempts, :goal_to_go_conversions, 
                :return_yards, :penalties, :penalty_yards, :fumbles, :fumbles_lost, :times_sacked, 
                :times_sacked_yards, :quarterback_hits, :tackles_for_loss, :safeties, :punts, 
                :punt_yards, :punt_average, :giveaways, :takeaways, :turnover_differential, 
                :opponent_score_quarter1, :opponent_score_quarter2, :opponent_score_quarter3, 
                :opponent_score_quarter4, :opponent_score_overtime, :opponent_time_of_possession, 
                :opponent_first_downs, :opponent_first_downs_by_rushing, 
                :opponent_first_downs_by_passing, :opponent_first_downs_by_penalty, 
                :opponent_offensive_plays, :opponent_offensive_yards, :opponent_offensive_yards_per_play, 
                :opponent_touchdowns, :opponent_rushing_attempts, :opponent_rushing_yards, 
                :opponent_rushing_yards_per_attempt, :opponent_rushing_touchdowns, 
                :opponent_passing_attempts, :opponent_passing_completions, :opponent_passing_yards, 
                :opponent_passing_touchdowns, :opponent_passing_interceptions, 
                :opponent_passing_yards_per_attempt, :opponent_passing_yards_per_completion, 
                :opponent_completion_percentage, :opponent_passer_rating, :opponent_third_down_attempts, 
                :opponent_third_down_conversions, :opponent_third_down_percentage, 
                :opponent_fourth_down_attempts, :opponent_fourth_down_conversions, 
                :opponent_fourth_down_percentage, :opponent_red_zone_attempts, 
                :opponent_red_zone_conversions, :opponent_goal_to_go_attempts, 
                :opponent_goal_to_go_conversions, :opponent_return_yards, :opponent_penalties, 
                :opponent_penalty_yards, :opponent_fumbles, :opponent_fumbles_lost, 
                :opponent_times_sacked, :opponent_times_sacked_yards, :opponent_quarterback_hits, 
                :opponent_tackles_for_loss, :opponent_safeties, :opponent_punts, 
                :opponent_punt_yards, :opponent_punt_average, :opponent_giveaways, 
                :opponent_takeaways, :opponent_turnover_differential, :red_zone_percentage, 
                :goal_to_go_percentage, :quarterback_hits_differential, 
                :tackles_for_loss_differential, :quarterback_sacks_differential, 
                :tackles_for_loss_percentage, :quarterback_hits_percentage, 
                :times_sacked_percentage, :opponent_red_zone_percentage, 
                :opponent_goal_to_go_percentage, :opponent_quarterback_hits_differential, 
                :opponent_tackles_for_loss_differential, :opponent_quarterback_sacks_differential, 
                :opponent_tackles_for_loss_percentage, :opponent_quarterback_hits_percentage, 
                :opponent_times_sacked_percentage, :kickoffs, :kickoffs_in_end_zone, 
                :kickoff_touchbacks, :punts_had_blocked, :punt_net_average, 
                :extra_point_kicking_attempts, :extra_point_kicking_conversions, 
                :extra_points_had_blocked, :extra_point_passing_attempts, 
                :extra_point_passing_conversions, :extra_point_rushing_attempts, 
                :extra_point_rushing_conversions, :field_goal_attempts, :field_goals_made, 
                :field_goals_had_blocked, :punt_returns, :punt_return_yards, :kick_returns, 
                :kick_return_yards, :interception_returns, :interception_return_yards, 
                :opponent_kickoffs, :opponent_kickoffs_in_end_zone, :opponent_kickoff_touchbacks, 
                :opponent_punts_had_blocked, :opponent_punt_net_average, 
                :opponent_extra_point_kicking_attempts, :opponent_extra_point_kicking_conversions, 
                :opponent_extra_points_had_blocked, :opponent_extra_point_passing_attempts, 
                :opponent_extra_point_passing_conversions, :opponent_extra_point_rushing_attempts, 
                :opponent_extra_point_rushing_conversions, :opponent_field_goal_attempts, 
                :opponent_field_goals_made, :opponent_field_goals_had_blocked, :opponent_punt_returns, 
                :opponent_punt_return_yards, :opponent_kick_returns, :opponent_kick_return_yards, 
                :opponent_interception_returns, :opponent_interception_return_yards, :solo_tackles, 
                :assisted_tackles, :sacks, :sack_yards, :passes_defended, :fumbles_forced, 
                :fumbles_recovered, :fumble_return_yards, :fumble_return_touchdowns, 
                :interception_return_touchdowns, :blocked_kicks, :punt_return_touchdowns, 
                :punt_return_long, :kick_return_touchdowns, :kick_return_long, 
                :blocked_kick_return_yards, :blocked_kick_return_touchdowns, :field_goal_return_yards, 
                :field_goal_return_touchdowns, :punt_net_yards, :opponent_solo_tackles,
                :opponent_assisted_tackles, :opponent_sacks, :opponent_sack_yards, 
                :opponent_passes_defended, :opponent_fumbles_forced, :opponent_fumbles_recovered, 
                :opponent_fumble_return_yards, :opponent_fumble_return_touchdowns, 
                :opponent_interception_return_touchdowns, :opponent_blocked_kicks, 
                :opponent_punt_return_touchdowns, :opponent_punt_return_long, 
                :opponent_kick_return_touchdowns, :opponent_kick_return_long, 
                :opponent_blocked_kick_return_yards, :opponent_blocked_kick_return_touchdowns, 
                :opponent_field_goal_return_yards, :opponent_field_goal_return_touchdowns, 
                :opponent_punt_net_yards, :team_name, :games, :passing_dropbacks, 
                :opponent_passing_dropbacks, :team_season_id, :two_point_conversion_returns, 
                :opponent_two_point_conversion_returns

  end
end
